import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onTsklistButstr(){
                let rtnmsg = await this.executeRule("tsklist.butstr")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTsklistButstp(){
                let rtnmsg = await this.executeRule("tsklist.butstp")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTsklistButexe(){
                let rtnmsg = await this.executeRule("tsklist.butexe")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTsklistButupd(){
                let rtnmsg = await this.executeRule("tsklist.butupd")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onLogdspButdsp(){
                let rtnmsg = await this.executeRule("logdsp.butdsp")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onTsklistButexi(){
                let rtnmsg = await this.executeRule("tsklist.butexi")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onLogdspButcpy(){
                let rtnmsg = await this.executeRule("logdsp.butcpy")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onLogdspButcls(){
                let rtnmsg = await this.executeRule("logdsp.butcls")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}